Re: [ANNOUNCE] util-linux v2.29-rc2

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



On Thu, Oct 20, 2016 at 06:28:05PM +0200, Ruediger Meier wrote:
> We don't need to handle such broken installation. In drone.io script you 
> could try
>   apt-get install -qq libncursesw5-dev

We call travis-functions.sh from drone.io, something like:

diff --git a/.travis-functions.sh b/.travis-functions.sh
index 6fcf019..3766534 100755
--- a/.travis-functions.sh
+++ b/.travis-functions.sh
@@ -95,6 +95,14 @@ function travis_install_script
 		libsystemd-daemon-dev \
 		libsystemd-journal-dev \
 		|| true
+
+	# install only if available
+	sudo apt-get install -qq >/dev/null \
+		libncursesw6-dev \
+		|| sudo apt-get install -qq >/dev/null \
+			libncursesw5-dev \
+			|| true
+
 }
 
 function osx_install_script


.. I guess we prefer ncurses6. Or it's too crazy? :-)

    Karel

-- 
 Karel Zak  <kzak@xxxxxxxxxx>
 http://karelzak.blogspot.com
--
To unsubscribe from this list: send the line "unsubscribe util-linux" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html



[Index of Archives]     [Netdev]     [Ethernet Bridging]     [Linux Wireless]     [Kernel Newbies]     [Security]     [Linux for Hams]     [Netfilter]     [Bugtraq]     [Yosemite News]     [MIPS Linux]     [ARM Linux]     [Linux RAID]     [Linux Admin]     [Samba]

  Powered by Linux